Bug 852740 - libdirectfb_vdpau.so: undefined symbol: XUnlockDisplay
libdirectfb_vdpau.so: undefined symbol: XUnlockDisplay
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: directfb (Show other bugs)
17
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 09:14 EDT by Gerry Reno
Modified: 2012-10-06 04:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-06 04:26:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Link with all the libraries to fix the missing symbols on dlopen (544 bytes, patch)
2012-08-29 15:01 EDT, Tom "spot" Callaway
no flags Details | Diff

  None (edit)
Description Gerry Reno 2012-08-29 09:14:10 EDT
Description of problem:
Cannot run DirectFB even as a root user

Version-Release number of selected component (if applicable):
1.5.3-7.fc17

How reproducible:
always

Steps to Reproduce:
1.Install DirectFB
2.su 
3.dfbinfo
  
Actual results:
# dfbinfo

   ~~~~~~~~~~~~~~~~~~~~~~~~~~| DirectFB 1.5.3 |~~~~~~~~~~~~~~~~~~~~~~~~~~
        (c) 2001-2010  The world wide DirectFB Open Source Community
        (c) 2000-2004  Convergence (integrated media) GmbH
      ----------------------------------------------------------------

(*) DirectFB/Core: Single Application Core. (2012-05-19 15:35)
(*) Direct/Memcpy: Using Generic 64bit memcpy()
...
(!) Direct/Modules: Unable to dlopen `/usr/lib64/directfb-1.5-0/gfxdrivers/libdirectfb_vdpau.so'!
    --> /usr/lib64/directfb-1.5-0/gfxdrivers/libdirectfb_vdpau.so: undefined symbol: XUnlockDisplay

Expected results:
no undefined symbols and dfbinfo (or any other directfb command) succeeds

Additional info:
This problem also exists under F16 as well.

I have posted this problem over on both DirectFB mailing lists and they send me back to Fedora claiming there is bad packaging and that is why undefined symbol.

.
Comment 1 Tom "spot" Callaway 2012-08-29 15:01:10 EDT
Created attachment 607981 [details]
Link with all the libraries to fix the missing symbols on dlopen
Comment 2 Nicolas Chauvet (kwizart) 2012-08-29 15:13:14 EDT
Thx tom for the patch.
Actually I was working on this.
(got the missing -lm in tests and zlib patch).

Please remember that DirectFB upstream has a tendency to forge a new SONAME on new major update (that will lead to an ABI break from current version).
Comment 3 Fedora Update System 2012-08-30 17:42:53 EDT
directfb-1.5.3-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/directfb-1.5.3-8.fc17
Comment 4 Fedora Update System 2012-08-31 17:26:42 EDT
Package directfb-1.5.3-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing directfb-1.5.3-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13094/directfb-1.5.3-8.fc17
then log in and leave karma (feedback).
Comment 5 Gerry Reno 2012-09-01 18:54:35 EDT
Don't have fedora id, so cannot leave karma.

Here is result of installing 1.5.3-8 on F17:

------------- as regular user --------------
$ dfbinfo

   ~~~~~~~~~~~~~~~~~~~~~~~~~~| DirectFB 1.5.3 |~~~~~~~~~~~~~~~~~~~~~~~~~~
        (c) 2001-2010  The world wide DirectFB Open Source Community
        (c) 2000-2004  Convergence (integrated media) GmbH
      ----------------------------------------------------------------

(*) DirectFB/Core: Single Application Core. (2012-08-30 21:37) 
(*) Direct/Memcpy: Using Generic 64bit memcpy()
(!) DirectFB/fbdev/vt: K_MEDIUMRAW failed!
    --> Operation not permitted
(!) DirectFB/Core: Could not initialize 'system_core' core!
    --> A general initialization error occured
(#) DirectFBError [DirectFBCreate() failed]: A general initialization error occured

Undefined symbol is gone but other errors still present.

------------- as root user --------------
# dfbinfo

   ~~~~~~~~~~~~~~~~~~~~~~~~~~| DirectFB 1.5.3 |~~~~~~~~~~~~~~~~~~~~~~~~~~
        (c) 2001-2010  The world wide DirectFB Open Source Community
        (c) 2000-2004  Convergence (integrated media) GmbH
      ----------------------------------------------------------------

(*) DirectFB/Core: Single Application Core. (2012-08-30 21:37) 
(*) Direct/Memcpy: Using libc memcpy()
(*) Direct/Thread: Started 'VT Switcher' (-1) [CRITICAL OTHER/OTHER 0/0] <8388608>...
(*) Direct/Thread: Started 'VT Flusher' (-1) [DEFAULT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/FBDev: Found 'inteldrmfb' (ID 0) with frame buffer at 0xc0064000, 8100k (MMIO 0x00000000, 0k)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: Power Button (1) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: AT Translated Set 2 keyboard (2) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: Hewlett-Packard  HP f2100a Opti (3) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: SynPS/2 Synaptics TouchPad (4) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: Video Bus (5) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: Video Bus (6) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: Logitech Logitech Illuminated K (7) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: Logitech Logitech Illuminated K (8) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: ST LIS3LV02DL Accelerometer (9) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: HP Truevision HD (10) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: HP WMI hotkeys (11) 0.1 (directfb.org)
(*) Direct/Thread: Started 'Hotplug with Linux Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: Hot-plug detection enabled with Linux Input Driver 
(*) Direct/Thread: Started 'Keyboard Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: Keyboard 0.9 (directfb.org)
(*) Direct/Thread: Started 'PS/2 Input' (-1) [INPUT OTHER/OTHER 0/0] <8388608>...
(*) DirectFB/Input: IMPS/2 Mouse 1.0 (directfb.org)
(*) DirectFB/Genefx: MMX detected and enabled
(*) DirectFB/Graphics: MMX Software Rasterizer 0.6 (directfb.org)
(*) DirectFB/Core/WM: Default 0.3 (directfb.org)
 (!!!)  *** ONCE [no mode found for 1024x768] *** [fbdev.c:1341 in dfb_fbdev_find_mode()]


Screen (00) FBDev Primary Screen            (primary screen)
   Caps: VSYNC POWER_MANAGEMENT 

     Layer (00) FBDev Primary Layer             (primary layer)
        Type:    GRAPHICS 
        Caps:    SURFACE BRIGHTNESS CONTRAST SATURATION 


Input (10) Power Button                  
   Type: 
   Caps: KEYS 
   Min. Keycode: -1
   Max. Keycode: -1

Input (00) AT Translated Set 2 keyboard    (primary keyboard)
   Type: KEYBOARD REMOTE 
   Caps: KEYS 
   Min. Keycode: 0
   Max. Keycode: 127

Input (01) Hewlett-Packard  HP f2100a Opti  (primary mouse)
   Type: MOUSE 
   Caps: KEYS AXES BUTTONS 
   Min. Keycode: -1
   Max. Keycode: -1
   Max. Axis: 2
   Max. Button: 2

Input (11) SynPS/2 Synaptics TouchPad    
   Type: MOUSE 
   Caps: KEYS AXES BUTTONS 
   Min. Keycode: -1
   Max. Keycode: -1
   Max. Axis: 1
   Max. Button: 1

Input (12) Video Bus                     
   Type: 
   Caps: KEYS 
   Min. Keycode: -1
   Max. Keycode: -1

Input (13) Video Bus                     
   Type: 
   Caps: KEYS 
   Min. Keycode: -1
   Max. Keycode: -1

Input (14) Logitech Logitech Illuminated K
   Type: KEYBOARD 
   Caps: KEYS 
   Min. Keycode: 0
   Max. Keycode: 127

Input (03) Logitech Logitech Illuminated K  (primary remote control)
   Type: REMOTE 
   Caps: KEYS AXES 
   Min. Keycode: -1
   Max. Keycode: -1
   Max. Axis: 0

Input (15) ST LIS3LV02DL Accelerometer   
   Type: 
   Caps: AXES 
   Max. Axis: 2

Input (16) HP Truevision HD              
   Type: 
   Caps: KEYS 
   Min. Keycode: -1
   Max. Keycode: -1

Input (17) HP WMI hotkeys                
   Type: REMOTE 
   Caps: KEYS 
   Min. Keycode: -1
   Max. Keycode: -1

Input (18) Keyboard                      
   Type: KEYBOARD 
   Caps: KEYS 
   Min. Keycode: 0
   Max. Keycode: 127

Input (19) IMPS/2 Mouse                  
   Type: MOUSE 
   Caps: AXES BUTTONS 
   Max. Axis: 2
   Max. Button: 2

(!) DirectFB/core/vt: Unable to disallocate VT!
    --> Device or resource busy

Undefined symbol is gone but other errors still present.

.
Comment 6 Fedora Update System 2012-09-15 11:49:36 EDT
directfb-1.5.3-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/directfb-1.5.3-9.fc17
Comment 7 Fedora Update System 2012-09-15 11:51:51 EDT
directfb-1.5.3-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/directfb-1.5.3-9.fc16

Note You need to log in before you can comment on or make changes to this bug.